Subject: Re: linux-next: Tree for Mar 18 (objtool)

From: Josh Poimboeuf <[email-masked]>
Date: Thu, 26 Mar 2020 11:31:10 -0500

On Wed, Mar 25, 2020 at 10:57:02PM -0700, Kees Cook wrote:
> > In the meantime I can still change objtool to ignore unreachable UD2s if
> > there aren't any better ideas.
> 
> It'll still need the objtool change for CONFIG_UBSAN_TRAP, though based on
> the clang bug discussion, I'll probably _also_ be adding CONFIG_UBSAN_WARN
> which won't have an unreachable (and won't bloat the kernel). Testing
> still under way... it is possible that CONFIG_UBSAN_TRAP will go away
> in the future, though. If that happens, should I also remove the change
> at that time?

I'll go ahead and make the patch and post it soon.  It should be pretty
trivial.  We can always revert it if CONFIG_UBSAN_TRAP goes away.

-- 
Josh